### Name: auc
### Title: Estimation of the Area Under the Concentration Time Curve in
###   Complete and Incomplete Data Designs
### Aliases: auc print.PK
### Keywords: misc

### ** Examples

## example for a complete data design from Cawello W. (2003, page 70 and 74)
time <- c(0, 0.25, 0.5, 0.75, 1, 1.5, 2, 2.5, 3, 4, 5, 6)
conc <- c(0, 5.67, 20.6, 28.7, 22.5, 17.4, 17.7, 13.4, 11.0, 8.23, 5.14, 2.84) 

# using a vector for both concentration and time
auc(conc=conc, time=time, exact=7, n.tail=4, design='complete')

## a batch design from Jaki and Wolfsegger (in press), originally in Holder et al. (1999).
conc <- list(batch1=c(0,0,0,1.75,2.2,1.58,4.63,2.99,1.52), 
             batch2=c(3.03,1.98,2.22,3.34,1.3,1.22),
             batch3=c(3.54,2.84,2.55,0.3,0.0421,0.231))
time <- list(batch1=c(0,0,0,1,1,1,6,6,6), batch2=c(2,2,2,10,10,10), 
             batch3=c(4,4,4,24,24,24))
auc(conc, time, n.tail=3, design='batch')

## example for a serial sampling design from Nedelman et al. (1995)
time <- c(1, 1, 2, 2, 4, 4, 8, 8, 24, 24)
m.030 <- c(391, 396, 649, 1990, 3290, 3820, 844, 1650, 75.7, 288)
f.030 <- c(353, 384, 625, 1410, 1020, 1500, 933, 1030, 0, 80.5)
auc(conc=m.030, time=time, n.tail=3, design='ssd')
auc(conc=f.030, time=time, n.tail=3, design='ssd')




